All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Threshold
Conversion Functions

## Threshold Functions

Performs the threshold operation on the samples of a signal by limiting the sample values by a specified constant value.
NppStatus | nppsThreshold_16s_Ctx (const Npp16s *pSrc, Npp16s *pDst, int nLength, Npp16s nLevel, NppCmpOp nRelOp, NppStreamContext nppStreamCtx)
| 16-bit signed short signal threshold with constant level. More...
NppStatus | nppsThreshold_16s (const Npp16s *pSrc, Npp16s *pDst, int nLength, Npp16s nLevel, NppCmpOp nRelOp)
NppStatus | nppsThreshold_16s_I_Ctx (Npp16s *pSrcDst, int nLength, Npp16s nLevel, NppCmpOp nRelOp, NppStreamContext nppStreamCtx)
| 16-bit in place signed short signal threshold with constant level. More...
NppStatus | nppsThreshold_16s_I (Npp16s *pSrcDst, int nLength, Npp16s nLevel, NppCmpOp nRelOp)
NppStatus | nppsThreshold_16sc_Ctx (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, Npp16s nLevel, NppCmpOp nRelOp, NppStreamContext nppStreamCtx)
| 16-bit signed short complex number signal threshold with constant level. More...
NppStatus | nppsThreshold_16sc (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, Npp16s nLevel, NppCmpOp nRelOp)
NppStatus | nppsThreshold_16sc_I_Ctx (Npp16sc *pSrcDst, int nLength, Npp16s nLevel, NppCmpOp nRelOp, NppStreamContext nppStreamCtx)
| 16-bit in place signed short complex number signal threshold with constant level. More...
NppStatus | nppsThreshold_16sc_I (Npp16sc *pSrcDst, int nLength, Npp16s nLevel, NppCmpOp nRelOp)
NppStatus | nppsThreshold_32f_Ctx (const Npp32f *pSrc, Npp32f *pDst, int nLength, Npp32f nLevel, NppCmpOp nRelOp, NppStreamContext nppStreamCtx)
| 32-bit floating point signal threshold with constant level. More...
NppStatus | nppsThreshold_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength, Npp32f nLevel, NppCmpOp nRelOp)
NppStatus | nppsThreshold_32f_I_Ctx (Npp32f *pSrcDst, int nLength, Npp32f nLevel, NppCmpOp nRelOp, NppStreamContext nppStreamCtx)
| 32-bit in place floating point signal threshold with constant level. More...
NppStatus | nppsThreshold_32f_I (Npp32f *pSrcDst, int nLength, Npp32f nLevel, NppCmpOp nRelOp)
NppStatus | nppsThreshold_32fc_Ctx (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, Npp32f nLevel, NppCmpOp nRelOp, NppStreamContext nppStreamCtx)
| 32-bit floating point complex number signal threshold with constant level. More...
NppStatus | nppsThreshold_32fc (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, Npp32f nLevel, NppCmpOp nRelOp)
NppStatus | nppsThreshold_32fc_I_Ctx (Npp32fc *pSrcDst, int nLength, Npp32f nLevel, NppCmpOp nRelOp, NppStreamContext nppStreamCtx)
| 32-bit in place floating point complex number signal threshold with constant level. More...
NppStatus | nppsThreshold_32fc_I (Npp32fc *pSrcDst, int nLength, Npp32f nLevel, NppCmpOp nRelOp)
NppStatus | nppsThreshold_64f_Ctx (const Npp64f *pSrc, Npp64f *pDst, int nLength, Npp64f nLevel, NppCmpOp nRelOp, NppStreamContext nppStreamCtx)
| 64-bit floating point signal threshold with constant level. More...
NppStatus | nppsThreshold_64f (const Npp64f *pSrc, Npp64f *pDst, int nLength, Npp64f nLevel, NppCmpOp nRelOp)
NppStatus | nppsThreshold_64f_I_Ctx (Npp64f *pSrcDst, int nLength, Npp64f nLevel, NppCmpOp nRelOp, NppStreamContext nppStreamCtx)
| 64-bit in place floating point signal threshold with constant level. More...
NppStatus | nppsThreshold_64f_I (Npp64f *pSrcDst, int nLength, Npp64f nLevel, NppCmpOp nRelOp)
NppStatus | nppsThreshold_64fc_Ctx (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, Npp64f nLevel, NppCmpOp nRelOp, NppStreamContext nppStreamCtx)
| 64-bit floating point complex number signal threshold with constant level. More...
NppStatus | nppsThreshold_64fc (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, Npp64f nLevel, NppCmpOp nRelOp)
NppStatus | nppsThreshold_64fc_I_Ctx (Npp64fc *pSrcDst, int nLength, Npp64f nLevel, NppCmpOp nRelOp, NppStreamContext nppStreamCtx)
| 64-bit in place floating point complex number signal threshold with constant level. More...
NppStatus | nppsThreshold_64fc_I (Npp64fc *pSrcDst, int nLength, Npp64f nLevel, NppCmpOp nRelOp)
NppStatus | nppsThreshold_LT_16s_Ctx (const Npp16s *pSrc, Npp16s *pDst, int nLength, Npp16s nLevel, NppStreamContext nppStreamCtx)
| 16-bit signed short signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LT_16s (const Npp16s *pSrc, Npp16s *pDst, int nLength, Npp16s nLevel)
NppStatus | nppsThreshold_LT_16s_I_Ctx (Npp16s *pSrcDst, int nLength, Npp16s nLevel, NppStreamContext nppStreamCtx)
| 16-bit in place signed short signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LT_16s_I (Npp16s *pSrcDst, int nLength, Npp16s nLevel)
NppStatus | nppsThreshold_LT_16sc_Ctx (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, Npp16s nLevel, NppStreamContext nppStreamCtx)
| 16-bit signed short complex number signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LT_16sc (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, Npp16s nLevel)
NppStatus | nppsThreshold_LT_16sc_I_Ctx (Npp16sc *pSrcDst, int nLength, Npp16s nLevel, NppStreamContext nppStreamCtx)
| 16-bit in place signed short complex number signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LT_16sc_I (Npp16sc *pSrcDst, int nLength, Npp16s nLevel)
NppStatus | nppsThreshold_LT_32f_Ctx (const Npp32f *pSrc, Npp32f *pDst, int nLength, Npp32f nLevel, NppStreamContext nppStreamCtx)
| 32-bit floating point signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LT_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength, Npp32f nLevel)
NppStatus | nppsThreshold_LT_32f_I_Ctx (Npp32f *pSrcDst, int nLength, Npp32f nLevel, NppStreamContext nppStreamCtx)
| 32-bit in place floating point signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LT_32f_I (Npp32f *pSrcDst, int nLength, Npp32f nLevel)
NppStatus | nppsThreshold_LT_32fc_Ctx (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, Npp32f nLevel, NppStreamContext nppStreamCtx)
| 32-bit floating point complex number signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LT_32fc (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, Npp32f nLevel)
NppStatus | nppsThreshold_LT_32fc_I_Ctx (Npp32fc *pSrcDst, int nLength, Npp32f nLevel, NppStreamContext nppStreamCtx)
| 32-bit in place floating point complex number signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LT_32fc_I (Npp32fc *pSrcDst, int nLength, Npp32f nLevel)
NppStatus | nppsThreshold_LT_64f_Ctx (const Npp64f *pSrc, Npp64f *pDst, int nLength, Npp64f nLevel, NppStreamContext nppStreamCtx)
| 64-bit floating point signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LT_64f (const Npp64f *pSrc, Npp64f *pDst, int nLength, Npp64f nLevel)
NppStatus | nppsThreshold_LT_64f_I_Ctx (Npp64f *pSrcDst, int nLength, Npp64f nLevel, NppStreamContext nppStreamCtx)
| 64-bit in place floating point signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LT_64f_I (Npp64f *pSrcDst, int nLength, Npp64f nLevel)
NppStatus | nppsThreshold_LT_64fc_Ctx (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, Npp64f nLevel, NppStreamContext nppStreamCtx)
| 64-bit floating point complex number signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LT_64fc (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, Npp64f nLevel)
NppStatus | nppsThreshold_LT_64fc_I_Ctx (Npp64fc *pSrcDst, int nLength, Npp64f nLevel, NppStreamContext nppStreamCtx)
| 64-bit in place floating point complex number signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LT_64fc_I (Npp64fc *pSrcDst, int nLength, Npp64f nLevel)
NppStatus | nppsThreshold_GT_16s_Ctx (const Npp16s *pSrc, Npp16s *pDst, int nLength, Npp16s nLevel, NppStreamContext nppStreamCtx)
| 16-bit signed short signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GT_16s (const Npp16s *pSrc, Npp16s *pDst, int nLength, Npp16s nLevel)
NppStatus | nppsThreshold_GT_16s_I_Ctx (Npp16s *pSrcDst, int nLength, Npp16s nLevel, NppStreamContext nppStreamCtx)
| 16-bit in place signed short signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GT_16s_I (Npp16s *pSrcDst, int nLength, Npp16s nLevel)
NppStatus | nppsThreshold_GT_16sc_Ctx (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, Npp16s nLevel, NppStreamContext nppStreamCtx)
| 16-bit signed short complex number signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GT_16sc (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, Npp16s nLevel)
NppStatus | nppsThreshold_GT_16sc_I_Ctx (Npp16sc *pSrcDst, int nLength, Npp16s nLevel, NppStreamContext nppStreamCtx)
| 16-bit in place signed short complex number signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GT_16sc_I (Npp16sc *pSrcDst, int nLength, Npp16s nLevel)
NppStatus | nppsThreshold_GT_32f_Ctx (const Npp32f *pSrc, Npp32f *pDst, int nLength, Npp32f nLevel, NppStreamContext nppStreamCtx)
| 32-bit floating point signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GT_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength, Npp32f nLevel)
NppStatus | nppsThreshold_GT_32f_I_Ctx (Npp32f *pSrcDst, int nLength, Npp32f nLevel, NppStreamContext nppStreamCtx)
| 32-bit in place floating point signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GT_32f_I (Npp32f *pSrcDst, int nLength, Npp32f nLevel)
NppStatus | nppsThreshold_GT_32fc_Ctx (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, Npp32f nLevel, NppStreamContext nppStreamCtx)
| 32-bit floating point complex number signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GT_32fc (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, Npp32f nLevel)
NppStatus | nppsThreshold_GT_32fc_I_Ctx (Npp32fc *pSrcDst, int nLength, Npp32f nLevel, NppStreamContext nppStreamCtx)
| 32-bit in place floating point complex number signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GT_32fc_I (Npp32fc *pSrcDst, int nLength, Npp32f nLevel)
NppStatus | nppsThreshold_GT_64f_Ctx (const Npp64f *pSrc, Npp64f *pDst, int nLength, Npp64f nLevel, NppStreamContext nppStreamCtx)
| 64-bit floating point signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GT_64f (const Npp64f *pSrc, Npp64f *pDst, int nLength, Npp64f nLevel)
NppStatus | nppsThreshold_GT_64f_I_Ctx (Npp64f *pSrcDst, int nLength, Npp64f nLevel, NppStreamContext nppStreamCtx)
| 64-bit in place floating point signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GT_64f_I (Npp64f *pSrcDst, int nLength, Npp64f nLevel)
NppStatus | nppsThreshold_GT_64fc_Ctx (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, Npp64f nLevel, NppStreamContext nppStreamCtx)
| 64-bit floating point complex number signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GT_64fc (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, Npp64f nLevel)
NppStatus | nppsThreshold_GT_64fc_I_Ctx (Npp64fc *pSrcDst, int nLength, Npp64f nLevel, NppStreamContext nppStreamCtx)
| 64-bit in place floating point complex number signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GT_64fc_I (Npp64fc *pSrcDst, int nLength, Npp64f nLevel)
NppStatus | nppsThreshold_LTVal_16s_Ctx (const Npp16s *pSrc, Npp16s *pDst, int nLength, Npp16s nLevel, Npp16s nValue, NppStreamContext nppStreamCtx)
| 16-bit signed short signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LTVal_16s (const Npp16s *pSrc, Npp16s *pDst, int nLength, Npp16s nLevel, Npp16s nValue)
NppStatus | nppsThreshold_LTVal_16s_I_Ctx (Npp16s *pSrcDst, int nLength, Npp16s nLevel, Npp16s nValue, NppStreamContext nppStreamCtx)
| 16-bit in place signed short signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LTVal_16s_I (Npp16s *pSrcDst, int nLength, Npp16s nLevel, Npp16s nValue)
NppStatus | nppsThreshold_LTVal_16sc_Ctx (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, Npp16s nLevel, Npp16sc nValue, NppStreamContext nppStreamCtx)
| 16-bit signed short complex number signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LTVal_16sc (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, Npp16s nLevel, Npp16sc nValue)
NppStatus | nppsThreshold_LTVal_16sc_I_Ctx (Npp16sc *pSrcDst, int nLength, Npp16s nLevel, Npp16sc nValue, NppStreamContext nppStreamCtx)
| 16-bit in place signed short complex number signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LTVal_16sc_I (Npp16sc *pSrcDst, int nLength, Npp16s nLevel, Npp16sc nValue)
NppStatus | nppsThreshold_LTVal_32f_Ctx (const Npp32f *pSrc, Npp32f *pDst, int nLength, Npp32f nLevel, Npp32f nValue, NppStreamContext nppStreamCtx)
| 32-bit floating point signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LTVal_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength, Npp32f nLevel, Npp32f nValue)
NppStatus | nppsThreshold_LTVal_32f_I_Ctx (Npp32f *pSrcDst, int nLength, Npp32f nLevel, Npp32f nValue, NppStreamContext nppStreamCtx)
| 32-bit in place floating point signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LTVal_32f_I (Npp32f *pSrcDst, int nLength, Npp32f nLevel, Npp32f nValue)
NppStatus | nppsThreshold_LTVal_32fc_Ctx (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, Npp32f nLevel, Npp32fc nValue, NppStreamContext nppStreamCtx)
| 32-bit floating point complex number signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LTVal_32fc (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, Npp32f nLevel, Npp32fc nValue)
NppStatus | nppsThreshold_LTVal_32fc_I_Ctx (Npp32fc *pSrcDst, int nLength, Npp32f nLevel, Npp32fc nValue, NppStreamContext nppStreamCtx)
| 32-bit in place floating point complex number signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LTVal_32fc_I (Npp32fc *pSrcDst, int nLength, Npp32f nLevel, Npp32fc nValue)
NppStatus | nppsThreshold_LTVal_64f_Ctx (const Npp64f *pSrc, Npp64f *pDst, int nLength, Npp64f nLevel, Npp64f nValue, NppStreamContext nppStreamCtx)
| 64-bit floating point signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LTVal_64f (const Npp64f *pSrc, Npp64f *pDst, int nLength, Npp64f nLevel, Npp64f nValue)
NppStatus | nppsThreshold_LTVal_64f_I_Ctx (Npp64f *pSrcDst, int nLength, Npp64f nLevel, Npp64f nValue, NppStreamContext nppStreamCtx)
| 64-bit in place floating point signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LTVal_64f_I (Npp64f *pSrcDst, int nLength, Npp64f nLevel, Npp64f nValue)
NppStatus | nppsThreshold_LTVal_64fc_Ctx (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, Npp64f nLevel, Npp64fc nValue, NppStreamContext nppStreamCtx)
| 64-bit floating point complex number signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LTVal_64fc (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, Npp64f nLevel, Npp64fc nValue)
NppStatus | nppsThreshold_LTVal_64fc_I_Ctx (Npp64fc *pSrcDst, int nLength, Npp64f nLevel, Npp64fc nValue, NppStreamContext nppStreamCtx)
| 64-bit in place floating point complex number signal NPP_CMP_LESS threshold with constant level. More...
NppStatus | nppsThreshold_LTVal_64fc_I (Npp64fc *pSrcDst, int nLength, Npp64f nLevel, Npp64fc nValue)
NppStatus | nppsThreshold_GTVal_16s_Ctx (const Npp16s *pSrc, Npp16s *pDst, int nLength, Npp16s nLevel, Npp16s nValue, NppStreamContext nppStreamCtx)
| 16-bit signed short signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GTVal_16s (const Npp16s *pSrc, Npp16s *pDst, int nLength, Npp16s nLevel, Npp16s nValue)
NppStatus | nppsThreshold_GTVal_16s_I_Ctx (Npp16s *pSrcDst, int nLength, Npp16s nLevel, Npp16s nValue, NppStreamContext nppStreamCtx)
| 16-bit in place signed short signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GTVal_16s_I (Npp16s *pSrcDst, int nLength, Npp16s nLevel, Npp16s nValue)
NppStatus | nppsThreshold_GTVal_16sc_Ctx (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, Npp16s nLevel, Npp16sc nValue, NppStreamContext nppStreamCtx)
| 16-bit signed short complex number signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GTVal_16sc (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, Npp16s nLevel, Npp16sc nValue)
NppStatus | nppsThreshold_GTVal_16sc_I_Ctx (Npp16sc *pSrcDst, int nLength, Npp16s nLevel, Npp16sc nValue, NppStreamContext nppStreamCtx)
| 16-bit in place signed short complex number signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GTVal_16sc_I (Npp16sc *pSrcDst, int nLength, Npp16s nLevel, Npp16sc nValue)
NppStatus | nppsThreshold_GTVal_32f_Ctx (const Npp32f *pSrc, Npp32f *pDst, int nLength, Npp32f nLevel, Npp32f nValue, NppStreamContext nppStreamCtx)
| 32-bit floating point signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GTVal_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength, Npp32f nLevel, Npp32f nValue)
NppStatus | nppsThreshold_GTVal_32f_I_Ctx (Npp32f *pSrcDst, int nLength, Npp32f nLevel, Npp32f nValue, NppStreamContext nppStreamCtx)
| 32-bit in place floating point signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GTVal_32f_I (Npp32f *pSrcDst, int nLength, Npp32f nLevel, Npp32f nValue)
NppStatus | nppsThreshold_GTVal_32fc_Ctx (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, Npp32f nLevel, Npp32fc nValue, NppStreamContext nppStreamCtx)
| 32-bit floating point complex number signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GTVal_32fc (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, Npp32f nLevel, Npp32fc nValue)
NppStatus | nppsThreshold_GTVal_32fc_I_Ctx (Npp32fc *pSrcDst, int nLength, Npp32f nLevel, Npp32fc nValue, NppStreamContext nppStreamCtx)
| 32-bit in place floating point complex number signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GTVal_32fc_I (Npp32fc *pSrcDst, int nLength, Npp32f nLevel, Npp32fc nValue)
NppStatus | nppsThreshold_GTVal_64f_Ctx (const Npp64f *pSrc, Npp64f *pDst, int nLength, Npp64f nLevel, Npp64f nValue, NppStreamContext nppStreamCtx)
| 64-bit floating point signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GTVal_64f (const Npp64f *pSrc, Npp64f *pDst, int nLength, Npp64f nLevel, Npp64f nValue)
NppStatus | nppsThreshold_GTVal_64f_I_Ctx (Npp64f *pSrcDst, int nLength, Npp64f nLevel, Npp64f nValue, NppStreamContext nppStreamCtx)
| 64-bit in place floating point signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GTVal_64f_I (Npp64f *pSrcDst, int nLength, Npp64f nLevel, Npp64f nValue)
NppStatus | nppsThreshold_GTVal_64fc_Ctx (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, Npp64f nLevel, Npp64fc nValue, NppStreamContext nppStreamCtx)
| 64-bit floating point complex number signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GTVal_64fc (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, Npp64f nLevel, Npp64fc nValue)
NppStatus | nppsThreshold_GTVal_64fc_I_Ctx (Npp64fc *pSrcDst, int nLength, Npp64f nLevel, Npp64fc nValue, NppStreamContext nppStreamCtx)
| 64-bit in place floating point complex number signal NPP_CMP_GREATER threshold with constant level. More...
NppStatus | nppsThreshold_GTVal_64fc_I (Npp64fc *pSrcDst, int nLength, Npp64f nLevel, Npp64fc nValue)

## Detailed Description

## Function Documentation

NppStatus nppsThreshold_16s | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppCmpOp | nRelOp
| ) |  |

NppStatus nppsThreshold_16s_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppCmpOp | nRelOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nRelOp | NppCmpOp type of thresholding operation (NPP_CMP_LESS or NPP_CMP_GREATER only).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_16s_I | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppCmpOp | nRelOp
| ) |  |

NppStatus nppsThreshold_16s_I_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppCmpOp | nRelOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit in place signed short signal threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nRelOp | NppCmpOp type of thresholding operation (NPP_CMP_LESS or NPP_CMP_GREATER only).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_16sc | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppCmpOp | nRelOp
| ) |  |

NppStatus nppsThreshold_16sc_Ctx | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppCmpOp | nRelOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short complex number signal threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nRelOp | NppCmpOp type of thresholding operation (NPP_CMP_LESS or NPP_CMP_GREATER only).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_16sc_I | ( | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppCmpOp | nRelOp
| ) |  |

NppStatus nppsThreshold_16sc_I_Ctx | ( | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppCmpOp | nRelOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit in place signed short complex number signal threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nRelOp | NppCmpOp type of thresholding operation (NPP_CMP_LESS or NPP_CMP_GREATER only).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppCmpOp | nRelOp
| ) |  |

NppStatus nppsThreshold_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppCmpOp | nRelOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nRelOp | NppCmpOp type of thresholding operation (NPP_CMP_LESS or NPP_CMP_GREATER only).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_32f_I | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppCmpOp | nRelOp
| ) |  |

NppStatus nppsThreshold_32f_I_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppCmpOp | nRelOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit in place floating point signal threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nRelOp | NppCmpOp type of thresholding operation (NPP_CMP_LESS or NPP_CMP_GREATER only).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_32fc | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppCmpOp | nRelOp
| ) |  |

NppStatus nppsThreshold_32fc_Ctx | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppCmpOp | nRelOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point complex number signal threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nRelOp | NppCmpOp type of thresholding operation (NPP_CMP_LESS or NPP_CMP_GREATER only).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_32fc_I | ( | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppCmpOp | nRelOp
| ) |  |

NppStatus nppsThreshold_32fc_I_Ctx | ( | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppCmpOp | nRelOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit in place floating point complex number signal threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nRelOp | NppCmpOp type of thresholding operation (NPP_CMP_LESS or NPP_CMP_GREATER only).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_64f | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppCmpOp | nRelOp
| ) |  |

NppStatus nppsThreshold_64f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppCmpOp | nRelOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nRelOp | NppCmpOp type of thresholding operation (NPP_CMP_LESS or NPP_CMP_GREATER only).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_64f_I | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppCmpOp | nRelOp
| ) |  |

NppStatus nppsThreshold_64f_I_Ctx | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppCmpOp | nRelOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit in place floating point signal threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nRelOp | NppCmpOp type of thresholding operation (NPP_CMP_LESS or NPP_CMP_GREATER only).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_64fc | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppCmpOp | nRelOp
| ) |  |

NppStatus nppsThreshold_64fc_Ctx | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppCmpOp | nRelOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point complex number signal threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nRelOp | NppCmpOp type of thresholding operation (NPP_CMP_LESS or NPP_CMP_GREATER only).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_64fc_I | ( | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppCmpOp | nRelOp
| ) |  |

NppStatus nppsThreshold_64fc_I_Ctx | ( | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppCmpOp | nRelOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit in place floating point complex number signal threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nRelOp | NppCmpOp type of thresholding operation (NPP_CMP_LESS or NPP_CMP_GREATER only).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GT_16s | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel
| ) |  |

NppStatus nppsThreshold_GT_16s_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GT_16s_I | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel
| ) |  |

NppStatus nppsThreshold_GT_16s_I_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit in place signed short signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GT_16sc | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel
| ) |  |

NppStatus nppsThreshold_GT_16sc_Ctx | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short complex number signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GT_16sc_I | ( | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel
| ) |  |

NppStatus nppsThreshold_GT_16sc_I_Ctx | ( | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit in place signed short complex number signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GT_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel
| ) |  |

NppStatus nppsThreshold_GT_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GT_32f_I | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel
| ) |  |

NppStatus nppsThreshold_GT_32f_I_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit in place floating point signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GT_32fc | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel
| ) |  |

NppStatus nppsThreshold_GT_32fc_Ctx | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point complex number signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GT_32fc_I | ( | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel
| ) |  |

NppStatus nppsThreshold_GT_32fc_I_Ctx | ( | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit in place floating point complex number signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GT_64f | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel
| ) |  |

NppStatus nppsThreshold_GT_64f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GT_64f_I | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel
| ) |  |

NppStatus nppsThreshold_GT_64f_I_Ctx | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit in place floating point signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GT_64fc | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel
| ) |  |

NppStatus nppsThreshold_GT_64fc_Ctx | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point complex number signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GT_64fc_I | ( | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel
| ) |  |

NppStatus nppsThreshold_GT_64fc_I_Ctx | ( | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit in place floating point complex number signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GTVal_16s | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16s | nValue
| ) |  |

NppStatus nppsThreshold_GTVal_16s_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16s | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GTVal_16s_I | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16s | nValue
| ) |  |

NppStatus nppsThreshold_GTVal_16s_I_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16s | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit in place signed short signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GTVal_16sc | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16sc | nValue
| ) |  |

NppStatus nppsThreshold_GTVal_16sc_Ctx | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16sc | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short complex number signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GTVal_16sc_I | ( | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16sc | nValue
| ) |  |

NppStatus nppsThreshold_GTVal_16sc_I_Ctx | ( | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16sc | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit in place signed short complex number signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GTVal_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32f | nValue
| ) |  |

NppStatus nppsThreshold_GTVal_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32f | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GTVal_32f_I | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32f | nValue
| ) |  |

NppStatus nppsThreshold_GTVal_32f_I_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32f | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit in place floating point signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GTVal_32fc | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32fc | nValue
| ) |  |

NppStatus nppsThreshold_GTVal_32fc_Ctx | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32fc | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point complex number signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GTVal_32fc_I | ( | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32fc | nValue
| ) |  |

NppStatus nppsThreshold_GTVal_32fc_I_Ctx | ( | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32fc | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit in place floating point complex number signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GTVal_64f | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64f | nValue
| ) |  |

NppStatus nppsThreshold_GTVal_64f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64f | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GTVal_64f_I | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64f | nValue
| ) |  |

NppStatus nppsThreshold_GTVal_64f_I_Ctx | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64f | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit in place floating point signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GTVal_64fc | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64fc | nValue
| ) |  |

NppStatus nppsThreshold_GTVal_64fc_Ctx | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64fc | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point complex number signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_GTVal_64fc_I | ( | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64fc | nValue
| ) |  |

NppStatus nppsThreshold_GTVal_64fc_I_Ctx | ( | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64fc | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit in place floating point complex number signal NPP_CMP_GREATER threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LT_16s | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel
| ) |  |

NppStatus nppsThreshold_LT_16s_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LT_16s_I | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel
| ) |  |

NppStatus nppsThreshold_LT_16s_I_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit in place signed short signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LT_16sc | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel
| ) |  |

NppStatus nppsThreshold_LT_16sc_Ctx | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short complex number signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LT_16sc_I | ( | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel
| ) |  |

NppStatus nppsThreshold_LT_16sc_I_Ctx | ( | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit in place signed short complex number signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LT_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel
| ) |  |

NppStatus nppsThreshold_LT_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LT_32f_I | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel
| ) |  |

NppStatus nppsThreshold_LT_32f_I_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit in place floating point signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LT_32fc | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel
| ) |  |

NppStatus nppsThreshold_LT_32fc_Ctx | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point complex number signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LT_32fc_I | ( | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel
| ) |  |

NppStatus nppsThreshold_LT_32fc_I_Ctx | ( | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit in place floating point complex number signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LT_64f | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel
| ) |  |

NppStatus nppsThreshold_LT_64f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LT_64f_I | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel
| ) |  |

NppStatus nppsThreshold_LT_64f_I_Ctx | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit in place floating point signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LT_64fc | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel
| ) |  |

NppStatus nppsThreshold_LT_64fc_Ctx | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point complex number signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LT_64fc_I | ( | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel
| ) |  |

NppStatus nppsThreshold_LT_64fc_I_Ctx | ( | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit in place floating point complex number signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LTVal_16s | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16s | nValue
| ) |  |

NppStatus nppsThreshold_LTVal_16s_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16s | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LTVal_16s_I | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16s | nValue
| ) |  |

NppStatus nppsThreshold_LTVal_16s_I_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16s | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit in place signed short signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LTVal_16sc | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16sc | nValue
| ) |  |

NppStatus nppsThreshold_LTVal_16sc_Ctx | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16sc | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short complex number signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LTVal_16sc_I | ( | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16sc | nValue
| ) |  |

NppStatus nppsThreshold_LTVal_16sc_I_Ctx | ( | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | Npp16s | nLevel,
|  | Npp16sc | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit in place signed short complex number signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LTVal_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32f | nValue
| ) |  |

NppStatus nppsThreshold_LTVal_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32f | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LTVal_32f_I | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32f | nValue
| ) |  |

NppStatus nppsThreshold_LTVal_32f_I_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32f | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit in place floating point signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LTVal_32fc | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32fc | nValue
| ) |  |

NppStatus nppsThreshold_LTVal_32fc_Ctx | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32fc | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point complex number signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LTVal_32fc_I | ( | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32fc | nValue
| ) |  |

NppStatus nppsThreshold_LTVal_32fc_I_Ctx | ( | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | Npp32f | nLevel,
|  | Npp32fc | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit in place floating point complex number signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LTVal_64f | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64f | nValue
| ) |  |

NppStatus nppsThreshold_LTVal_64f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64f | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LTVal_64f_I | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64f | nValue
| ) |  |

NppStatus nppsThreshold_LTVal_64f_I_Ctx | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64f | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit in place floating point signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LTVal_64fc | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64fc | nValue
| ) |  |

NppStatus nppsThreshold_LTVal_64fc_Ctx | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64fc | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point complex number signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsThreshold_LTVal_64fc_I | ( | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64fc | nValue
| ) |  |

NppStatus nppsThreshold_LTVal_64fc_I_Ctx | ( | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | Npp64f | nLevel,
|  | Npp64fc | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit in place floating point complex number signal NPP_CMP_LESS threshold with constant level.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nLevel | Constant threshold value (real part only and must be greater than 0) to be used to limit each signal sample
  nValue | Constant value to replace source value when threshold test is true.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2019 NVIDIA Corporation